Package edu.fiu.jtlex

# Class Rel

java.lang.Object
edu.fiu.jtlex.Rel

All Implemented Interfaces:
  `IRel`

    public class Rel
    extends java.lang.Object
    implements IRel

Author:
  arada002

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.fiu.jtlex.IRel

  `IRel.EnhancedPlusPlusDependency, IRel.SemanticCategory, IRel.SyntacticCategory, IRel.Type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Rel​(int id, IRel.Type type, int startNodeId, int endNodeId, IRel.SemanticCategory semanticCategory, IRel.SyntacticCategory syntacticCategory)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getEndNodeId()` |
  `int` | `getId()` |
  `IRel.SemanticCategory` | `getSemanticCategory()` |
  `int` | `getStartNodeId()` |
  `IRel.SyntacticCategory` | `getSyntacticCategory()` |
  `IRel.Type` | `getType()` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Rel

    public Rel​(int id, IRel.Type type, int startNodeId, int endNodeId, IRel.SemanticCategory semanticCategory, IRel.SyntacticCategory syntacticCategory)

- ## Method Details

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `IRel`

  - ### getType

    public IRel.Type getType()
    Specified by:
      `getType` in interface `IRel`

  - ### getStartNodeId

    public int getStartNodeId()
    Specified by:
      `getStartNodeId` in interface `IRel`

  - ### getEndNodeId

    public int getEndNodeId()
    Specified by:
      `getEndNodeId` in interface `IRel`

  - ### getSemanticCategory

    public IRel.SemanticCategory getSemanticCategory()
    Specified by:
      `getSemanticCategory` in interface `IRel`

  - ### getSyntacticCategory

    public IRel.SyntacticCategory getSyntacticCategory()
    Specified by:
      `getSyntacticCategory` in interface `IRel`